/* HTML Tags */

@font-face {
	font-family: 'Pricedown';
	src: url('./pricedown.otf');
}

@font-face {
	font-family: 'WorkSans';
	src: url('./worksans.ttf');
}

body {
    background: url(/img/games/bg.png) no-repeat top / 100% 100%;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    margin: 0;
}

main {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 100vh;
    padding: 10px;
    width: 100vw;
}

/* General */

.perfect-center {
    align-items: center;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: center;
}

.night-mode-transition {
    transition: 1s;
}

/* Container */
.container {
    width: 100vw;
}

/* Game */

.game {
    align-items: center;
    background-color: #282e3a;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    display: flex;
    flex-wrap: wrap;
    height: 50vw;
    justify-content: space-around;
    margin: auto;
    padding: 1.5%;
    position: relative;
    width: 50vw;
}

.clickable {
    height: 45%;
    opacity: 0.25;
    transition: opacity 0.25s;
    width: 45%;
    background: url(../../../img/games/logo-stellantis.png) no-repeat center / 40%;
}

.top-left.round-corner {
    border-radius: 100% 5px 5px;
}

.top-right.round-corner {
    border-radius: 5px 100% 5px 5px;
}

.bottom-left.round-corner {
    border-radius: 5px 5px 5px 100%;
}

.bottom-right.round-corner {
    border-radius: 5px 5px 100% 5px;
}

.control-container {
    height: 100%;
    pointer-events: none;
    position: absolute;
    width: 100%;
}

.control {
    background-color: #282e3a;
    border-radius: 120px;
    cursor: pointer;
    height: 35%;
    margin: 10px 0;
    position: relative;
    width: 35%;
}

.control .background {
    background-color: white;
    border-radius: 100px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 80%;
    pointer-events: initial;
    position: absolute;
    width: 80%;
}

.control .background img {
    width: 85%;
    padding-top: 3vw;
    padding-left: 2vw;
}

.control p {
    pointer-events: none;
    position: relative;
    text-align: center;
    z-index: 1;
    color: #133B82;
    font-family: 'WorkSans', sans-serif;
    font-weight: bold;
    padding-top: 3vw;
}

.hover {
    opacity: 0.5;
}

.active {
    opacity: 1;
}

/* HUD */

.hud {
    display: flex;
    justify-content: center;
    margin: 30px auto;
    width: 50vw;
}

.hud div {
    background-color: rgba(0, 0, 0, 0.0);
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    margin: 0 1vw;
    padding: 15px;
}

.score-label {
    font-family: 'WorkSans', sans-serif;
}

.score, .high-score {
    font-family: sans-serif;
    margin: 0 auto;
    text-align: center;
    font-weight: bold;
}

.ma-none {
    margin: 0;
}

/* Night Mode */

.night-mode-button {
    border-radius: 25px 0 0 25px;
    cursor: pointer;
    font-size: 50px;
    padding: 10px 50px 10px 10px;
    position: absolute;
    right: 0;
    top: 70%;
    display: none;
}

/* Footer */

footer {
    bottom: 0;
    position: absolute;
}

footer p, footer a {
    text-align: center;
    width: 100vw;
}

/* Typography */

.control p, .hud div p {
    font-size: 0.55rem;
}

/* Night-Mode Coloring */

.night-mode .night-mode-button {
    background-color: rgba(0, 0, 0, 0.1);
    color: rgba(255, 255, 255, 0.5);
}

.night-mode .hud div p,
.night-mode footer p,
.night-mode footer a {
    color: rgba(255, 255, 255, 1);
}

/* Day-Mode Coloring */

.container.day-mode {
    background-color: #b4d7fe;
}

.day-mode .night-mode-button {
    background-color: rgba(255, 255, 255, 0.1);
    color: rgba(255, 255, 255, 0.15);
}

.day-mode .hud div p,
.day-mode footer p,
.day-mode footer a {
    color: rgba(0, 0, 0, 0.5);
}

/* Coloring */

#red {
    background-color: red;
}

#yellow {
    background-color: yellow;
}

#green {
    background-color: green;
}

#blue {
    background-color: blue;
}

.popup-container {
    background-color: rgb(2,23,76);
}

#btn-finish {
    position: relative !important;
}

.rotate {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background: rgb(25, 25, 25);
    z-index: 1001;
    display: none;
    justify-content: center;
    align-items: center;
    color: white;
}

.rotate img {
    max-width: 50%;
}


/* Media Queries */
@media (min-width: 768px) {
    .control p, .hud div p {
        font-size: 0.75rem;
    }
}

@media (min-width: 992px) {
    main {
        align-items: center;
        display: flex;
        height: 100vh;
        justify-content: center;
    }

    .game {
        height: 40vw;
        margin: 0 35px 0 0;
        width: 40vw;
    }

    .control p, .hud div p {
        font-size: 0.9rem;
    }

    .hud {
        align-items: center;
        flex-direction: column;
        margin: 0 0 0 35px;
        justify-content: space-around;
        width: 250px;
    }

    .hud div {
        margin: 10px 0;
    }
}

@media (min-width: 1200px) {
    .control p, .hud div p {
        font-size: 1.1rem;
    }
    .score, .high-score {
        font-size: 2.6rem !important;
    }
}


@media screen and (max-width:1024px) and (orientation: portrait) {

}

@media screen and (max-width:1024px) and (orientation: landscape) {
    .hud {
        margin: auto;
    }
    .game {
        height: 40vw;
        width: 40vw;
    }

}

@media screen and (max-width: 1024px) and (orientation: portrait) {
    .rotate {
        display: flex;
    }
}
